import * as crypto from 'crypto';
export declare namespace ResourceNaming {
    enum NamingType {
        NO = 0,
        DEFAULT = 1,
        CUSTOM = 2
    }
    interface NoNaming {
        readonly type: NamingType.NO;
    }
    interface DefaultNaming {
        readonly type: NamingType.DEFAULT;
    }
    function createRandomString(value: crypto.BinaryLike, length?: number): string;
    function naming(resourceNaming: NamingOptions, defaultNaming: {
        [p: string]: string;
    }): {
        names: {
            [k: string]: string | undefined;
        };
    };
}
interface NamingOptions {
    readonly naming: ResourceNaming.NoNaming | ResourceNaming.DefaultNaming | {
        readonly type: ResourceNaming.NamingType.CUSTOM;
        readonly names: {
            [key: string]: string;
        };
    };
}
export {};
